=== debian/changelog ===
popeye (0.22.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.22.1 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 20:46:23 +0100

popeye (0.21.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.21.6 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 14:56:19 +0100

popeye (0.21.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.21.5 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 00:14:49 +0100

popeye (0.21.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.21.3 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 13:25:34 +0100

popeye (0.11.1-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 20:42:52 +0100

popeye (0.11.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.11.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jul 2023 02:19:27 +0100

popeye (0.10.1-2kaisen) kaisen-packages; urgency=medium

  * Improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 23 Jan 2023 01:49:14 +0100

popeye (0.10.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.10.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Jul 2022 03:49:14 +0100

popeye (0.10.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.10.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 02:23:06 +0100

popeye (0.9.8-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Feb 2022 01:45:52 +0100
